# PCCompositeGetPC

Gets one of the PC objects in the composite PC.

### Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCCompositeGetPC(PC pc,PetscInt n,PC *subpc)

Not Collective

### Input Parameter

| pc | - the preconditioner context
| n | - the number of the pc requested

### Output Parameters

subpc -the PC requested

### Keywords

PC, get, composite preconditioner, sub preconditioner

### See Also

PCCompositeAddPC()

Level:Developer
Location: src/ksp/pc/impls/composite/composite.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages